Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FieldInfo Class Reference

`#include <FieldInfo.h>`

Inheritance diagram for Lucene::FieldInfo:

## Public Member Functions

| FieldInfo (const String &na, bool tk, int32_t nu, bool storeTermVector, bool storePositionWithTermVector, bool storeOffsetWithTermVector, bool omitNorms, bool storePayloads, bool omitTermFreqAndPositions)
virtual | ~FieldInfo ()
virtual String | getClassName ()
boost::shared_ptr< FieldInfo > | shared_from_this ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
void | update (bool isIndexed, bool storeTermVector, bool storePositionWithTermVector, bool storeOffsetWithTermVector, bool omitNorms, bool storePayloads, bool omitTermFreqAndPositions)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

String | name
bool | isIndexed
int32_t | number
bool | storeTermVector
bool | storeOffsetWithTermVector
bool | storePositionWithTermVector
bool | omitNorms
bool | omitTermFreqAndPositions
bool | storePayloads

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ FieldInfo()

Lucene::FieldInfo::FieldInfo | ( | const String & | na,
|  | bool | tk,
|  | int32_t | nu,
|  | bool | storeTermVector,
|  | bool | storePositionWithTermVector,
|  | bool | storeOffsetWithTermVector,
|  | bool | omitNorms,
|  | bool | storePayloads,
|  | bool | omitTermFreqAndPositions
| ) |  |

## ◆ ~FieldInfo()

virtual Lucene::FieldInfo::~FieldInfo | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FieldInfo::_getClassName | ( |  | ) |

inline static

## ◆ clone()

virtual LuceneObjectPtr Lucene::FieldInfo::clone | ( | const LuceneObjectPtr & | other = `LuceneObjectPtr()` | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::FieldInfo::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< FieldInfo > Lucene::FieldInfo::shared_from_this | ( |  | ) |

inline

## ◆ update()

void Lucene::FieldInfo::update | ( | bool | isIndexed,
|  | bool | storeTermVector,
|  | bool | storePositionWithTermVector,
|  | bool | storeOffsetWithTermVector,
|  | bool | omitNorms,
|  | bool | storePayloads,
|  | bool | omitTermFreqAndPositions
| ) |  |

## Field Documentation

## ◆ isIndexed

bool Lucene::FieldInfo::isIndexed

## ◆ name

String Lucene::FieldInfo::name

## ◆ number

int32_t Lucene::FieldInfo::number

## ◆ omitNorms

bool Lucene::FieldInfo::omitNorms

## ◆ omitTermFreqAndPositions

bool Lucene::FieldInfo::omitTermFreqAndPositions

## ◆ storeOffsetWithTermVector

bool Lucene::FieldInfo::storeOffsetWithTermVector

## ◆ storePayloads

bool Lucene::FieldInfo::storePayloads

## ◆ storePositionWithTermVector

bool Lucene::FieldInfo::storePositionWithTermVector

## ◆ storeTermVector

bool Lucene::FieldInfo::storeTermVector

The documentation for this class was generated from the following file:

- FieldInfo.h

clucene.sourceforge.net